Get buckets associated with routing profile
get
/api/field-service/routing/v1/routingProfiles/{profileLabel}/buckets
This operation retrieves the list of buckets associated with the specified routing profile label.
Request
Path Parameters
-
profileLabel(required): string
Minimum Length:
1Maximum Length:40The label of the routing profile.
Query Parameters
-
limit: integer
The maximum number of items returned in the response. If no value is specified, then it defaults to 10.
-
offset: integer
The number of items that are skipped in the response. If a value is not specified, then it defaults to zero. The value zero indicates that the retrieval starts from the beginning of the collection.
Response
Supported Media Types
- application/schema+json
- application/json
200 Response
This section describes the 200 status response for this operation.
Root Schema : routingProfileBuckets
Type:
objectA collection of buckets assigned to the routing profile.
Show Source
-
hasMore:
boolean
Contains one of the following values: true or false. The default value is true.
True indicates there are more results that can be retrieved with successive paging requests. False or the value is not present, indicates, there are no more results or this is the final page.
-
items:
array items
An array of resource objects representing the buckets.
-
limit:
integer
The limit value specified in the request. If the value is not specified in the request or if the specified value is not accepted, then it defaults to 10.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of bucket records in the collection.
Nested Schema : items
Type:
arrayAn array of resource objects representing the buckets.
Show Source
Nested Schema : items
Type:
Show Source
object-
resourceExternalId:
string
The external identifier of the resource (bucket).
-
resourceName:
string
The display name of the resource.
-
schedulingProfileId:
integer
The ID of the routing profile this bucket is associated with.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
Show Source
object-
detail(required):
string
The detailed description of this error.
-
status(required):
string
The HTTP status code of this error.
-
title(required):
string
The brief description of this error.
-
type(required):
string
The URL of the web page containing more details about this error.